Subject: Re: linux-next: manual merge of the tty tree with the input tree

From: Dmitry Torokhov <[email-masked]>
Date: Mon, 28 Jan 2013 22:38:03 -0800

Hi Joe,

On Mon, Jan 28, 2013 at 10:26:47PM -0800, Joe Millenbach wrote:
> On Mon, Jan 28, 2013 at 9:33 PM, Dmitry Torokhov
> <[email-masked]> wrote:
> > Please revert the input changes and add *ONE* new dependency to the
> > serport driver.
> >
> > Thanks.
> >
> > --
> > Dmitry
> 
> Apologies on this.  I must have misunderstood the problem originally,
> and I definitely misunderstood your solution until I looked at it
> again.  I just went through applying the changes I'd created minus the
> driver/input changes, plus your SERPORT TTY dependency.  You were
> right that it solves the dependency issue and is much more elegant.  I
> thought it was going to leave dangling select dependencies for users
> to deal with later.  Sorry I was so hesitant at first.
> 
> I'll be making up a new patch for Greg after I get it reviewed.

Thank you for making the changes.

By the "dangling select dependencies" I assume you mean "select SERIO"
that several drivers do? "select SERIO" selects only serio core which is
self contained and has no additional dependencies [so far], that is why
it is being selected rather than being depended upon.

Thanks.

-- 
Dmitry